# -*- coding: utf-8 -*
import os,sys
import ConfigParser
from Log.Logger import log2File

class IniParser(object):
    def __init__(self, path):
        self.cf = ConfigParser.ConfigParser()
        self.path = path

    def initconf(self):
        self.cf.read(self.path)

    def get(self, field, key):
        result = ""
        try:
            result = self.cf.get(field, key)
        except Exception, e:
            log2File("get value ", field, " ", key, "error : ", str(e.message))
            result = ""
        return result

    def set(self, filed, key, value):
        try:
            if not self.cf.has_section(filed):
                self.cf.add_section(filed)
            self.cf.set(filed, key, value)
            self.cf.write(open(self.path, 'w'))
        except Exception , e:
            log2File("set ", filed, " ", key, " ", value, "error : ", str(e.message))
            return False
        return True
